<template>
  <layout-default>
    <div class="w-1/5 mr-6">
      <banner-order></banner-order>
    </div>
    <div class="w-1/3 ml-6">
      <div class="w-full border-b border-gray-disable ">
        <div
          v-for="(tab, index) in tabs"
          :key="index"
          class="inline-block py-2 mr-4"
          :class="
            tab.value === tabChoosen
              ? 'text-primary-blue font-bold border-b-4 border-primary-blue'
              : 'text-gray-disable font-medium cursor-pointer'
          "
        >
          <span v-if="tab.value === tabChoosen">{{ tab.name }}</span>
          <router-link v-else :to="`/transaction/order/${tab.value}`">{{
            tab.name
          }}</router-link>
        </div>
      </div>

      <router-view name="page"></router-view>
    </div>

    <modal :show="showModal" ref="modal">
      <router-view name="modal" />
    </modal>
  </layout-default>
</template>

<script>
import bannerOrder from "./components/BannerOrder.vue";

export default {
  components: {
    bannerOrder,
  },
  data() {
    return {
      tabs: [
        {
          name: "UPCOMING TRIP",
          value: "upcoming",
        },
        {
          name: "HISTORY",
          value: "history",
        },
      ],
      tabChoosen:
        this.$route.params.tabChoosen === undefined
          ? "upcoming"
          : this.$route.params.tabChoosen,
      showModal: this.$route.meta.showModal,
    };
  },

  watch: {
    "$route.params"({ tabChoosen }) {
      if (tabChoosen != undefined) {
        this.tabChoosen = tabChoosen;
      }
    },

    "$route.meta"({ showModal }) {
      this.showModal = showModal;
    },
  },
};
</script>
